MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0025265Open CASCADE[OCCT] OCCT:Visualizationpublic2014-09-23 15:122014-11-12 09:41
Reporterisz 
Assigned Tobugmaster 
PriorityhighSeverityminor 
StatusclosedResolutionfixed 
PlatformALLOSOS Version
Product Version[OCCT] 6.7.1 
Target Version[OCCT] 6.8.0Fixed in Version[OCCT] 6.8.0 
Summary0025265: Visualization, Select3D_Projector - wrong calculation of projection line in perspective mode
DescriptionWhen trying to select front point of two (lying on Z-coordinate) in a perspective view, the back one is snapped and selected.
Steps To Reproduce
vinit View1
vsetdispmode 1
#draw grid of points 7x7
set j 0
for {set x 0} {$x<7} {incr x} {
  for {set y 0} {$y<7} {incr y} {
    vpoint $j $x $y 10
    incr j
  }
}
  for {set x 0} {$x<7} {incr x} {
  for {set y 0} {$y<7} {incr y} {
    vpoint $j $x $y 0
    incr j
  }
}

#prepare view
vtop
vcamera -persp
vfit
vback
vtop


Try to select front central point -> BUG: back central point is snapped and selected.
EXPECTED: front central point should be snapped and selected.
Additional information
and documentation updates
List of changes:

Select3D_Projector::Shoot - correct calculation of projection line.
TagsNo tags attached.
Test case numberbugs vis(004) bug25265
Attached Filespng file icon points1.png (29,114 bytes) 2014-09-23 16:40
png file icon points2.png (30,377 bytes) 2014-09-23 16:40

- Relationships
related to 0025230closedbugmaster Test case for selection in perspective views 

-  Notes
(0032020)
kgv (developer)
2014-09-23 16:08

Dear Ivan,

please use dedicated "Steps To Reproduce" field.
Attached snapshots seems to be does not correspond to the script - please provide complete script with vmoveto/vselect and camera rotation (if required).
The bug description is confusing - please try to reformulate the problem and expected behavior.
(0032021)
isz (developer)
2014-09-23 16:22
edited on: 2014-09-23 16:30

Dear Kirill,
Steps to reproduce and description are edited. Is it OK now?

(0032024)
isz (developer)
2014-09-23 16:40

Correct images provided.
(0033064)
apl (developer)
2014-10-14 14:41
edited on: 2014-10-14 14:41

This bug is a regression in perspective selection.

The similar problem is found for selecting two shapes:

> pload ALL
> vinit
> vcamera -persp
> restore .\\data\\occ\\Top.brep
> restore .\\data\\occ\\Bottom.brep
> vdisplay Top Bottom
> vsetdispmode 1
> vfit

Try to select front shape -> Not selectable.

(0033067)
git (administrator)
2014-10-14 15:47

Branch CR25265 has been created by apl.

SHA-1: 066f83ba15bdcf81d181252898b6a66993ee4ad3


Detailed log of new commits:

Author: apl
Date: Tue Oct 14 15:47:34 2014 +0400

    0025265: Perspective projection - selecting front point of two
(0033068)
apl (developer)
2014-10-14 15:48

Dear Kirill,

Please review branch CR25265.
(0033070)
kgv (developer)
2014-10-14 16:15

Please test the patch.
(0033165)
mkv (tester)
2014-10-15 18:13

Dear BugMaster,
Branch CR25265 from occt git-repository (and master from products git-repository) was compiled on Linux, MacOS and Windows platforms and tested on Release mode.
SHA-1: 066f83ba15bdcf81d181252898b6a66993ee4ad3

Number of compiler warnings:

occt component :
Linux: 15 (15 on master)
Windows: 0 (0 on master)
MacOS: 199 (199 on master)

products component :
Linux: 11 (11 on master)
Windows: 1 (1 on master)

Regressions/Differences:
No regressions/differences

Testing cases:
http://occt-tests/CR25265-master-occt/Debian60-64/bugs/vis/bug25265.html [^]
http://occt-tests/CR25265-master-occt/Windows-32-VC10/bugs/vis/bug25265.html [^]
bugs vis(004) bug25265: OK

Testing on Linux:
occt component :
Total MEMORY difference: 355116464 / 355259448
Total CPU difference: 44583.07000000001 / 43106.66999999992
products component :
Total MEMORY difference: 121026332 / 121192724
Total CPU difference: 17663.939999999955 / 17664.929999999982

Testing on Windows:
occt component :
Total MEMORY difference: 273144364 / 272234148
Total CPU difference: 34446.953125 / 32857.28125
products component :
Total MEMORY difference: 71152620 / 70036372
Total CPU difference: 11471.5 / 11148.125

There are no differences in images found by testdiff.
(0034272)
git (administrator)
2014-11-12 09:41

Branch CR25265 has been deleted by kgv.

SHA-1: 066f83ba15bdcf81d181252898b6a66993ee4ad3

- Related Changesets
occt: master ba4feb76
Timestamp: 2014-10-14 11:47:34
Author: apl
Committer: bugmaster
Details ] Diff ]
0025265: Perspective projection - selecting front point of two
mod - src/Select3D/Select3D_Projector.cxx Diff ] File ]
add - tests/bugs/vis/bug25265 Diff ] File ]

- Issue History
Date Modified Username Field Change
2014-09-23 15:12 isz New Issue
2014-09-23 15:12 isz Assigned To => kgv
2014-09-23 15:12 isz File Added: points1.png
2014-09-23 15:13 isz File Added: points2.png
2014-09-23 16:08 kgv Note Added: 0032020
2014-09-23 16:08 kgv Description Updated View Revisions
2014-09-23 16:08 kgv Steps to Reproduce Updated View Revisions
2014-09-23 16:09 kgv Assigned To kgv => isz
2014-09-23 16:09 kgv Status new => feedback
2014-09-23 16:22 isz Note Added: 0032021
2014-09-23 16:22 isz Description Updated View Revisions
2014-09-23 16:22 isz Steps to Reproduce Updated View Revisions
2014-09-23 16:29 isz Assigned To isz =>
2014-09-23 16:29 isz Assigned To => kgv
2014-09-23 16:30 isz Note Edited: 0032021 View Revisions
2014-09-23 16:39 isz File Deleted: points1.png
2014-09-23 16:39 isz File Deleted: points2.png
2014-09-23 16:40 isz File Added: points1.png
2014-09-23 16:40 isz File Added: points2.png
2014-09-23 16:40 isz Note Added: 0032024
2014-09-23 17:13 kgv Relationship added related to 0025230
2014-10-14 14:41 apl Note Added: 0033064
2014-10-14 14:41 apl Assigned To kgv => apl
2014-10-14 14:41 apl Status feedback => assigned
2014-10-14 14:41 apl Priority normal => high
2014-10-14 14:41 apl Note Edited: 0033064 View Revisions
2014-10-14 14:56 isz Steps to Reproduce Updated View Revisions
2014-10-14 15:47 git Note Added: 0033067
2014-10-14 15:48 apl Note Added: 0033068
2014-10-14 15:48 apl Assigned To apl => kgv
2014-10-14 15:48 apl Status assigned => resolved
2014-10-14 15:50 apl Additional Information Updated View Revisions
2014-10-14 16:15 kgv Note Added: 0033070
2014-10-14 16:15 kgv Assigned To kgv => bugmaster
2014-10-14 16:15 kgv Status resolved => reviewed
2014-10-14 16:15 kgv Summary Perspective projection - selecting front point of two => Visualization, Select3D_Projector - wrong calculation of projection line in perspective mode
2014-10-15 09:58 mkv Assigned To bugmaster => mkv
2014-10-15 18:13 mkv Note Added: 0033165
2014-10-15 18:13 mkv Assigned To mkv => bugmaster
2014-10-15 18:13 mkv Status reviewed => tested
2014-10-15 18:13 mkv Test case number => bugs vis(004) bug25265
2014-10-24 15:38 bugmaster Changeset attached => occt master ba4feb76
2014-10-24 15:38 bugmaster Status tested => verified
2014-10-24 15:38 bugmaster Resolution open => fixed
2014-11-11 12:43 aiv Fixed in Version => 6.8.0
2014-11-11 13:02 aiv Status verified => closed
2014-11-12 09:41 git Note Added: 0034272


Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker